poltergeist


Poltergeist 1.9.0 w/Ruby 1.9.3


The doc says that Poltergeist 1.9.0 should work with Ruby 1.9.3 or higher, but I'm getting an install error when I try to install Poltergeist 1.9.0 on Ubuntu with Ruby 1.9.3. Is there a workaround other than upgrading Ruby?
PS. I'm also using Cucumber 1.3.19 and Capybara 2.4.4.
# gem --version
1.8.23
# ruby --version
ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]
# gem install poltergeist
ERROR: Error installing poltergeist:
mime-types-data requires Ruby version >= 2.0.
# gem install poltergeist 1.9.0
Fetching: poltergeist-1.9.0.gem (100%)
Fetching: mini_portile2-2.0.0.rc2.gem (100%)
Fetching: mime-types-data-3.2016.0221.gem (100%)
ERROR: Error installing poltergeist:
mime-types-data requires Ruby version >= 2.0.
ERROR: Could not find a valid gem '1.9.0' (>= 0) in any repository
Add mime-types to your Gemfile with a < 3.0 version restriction

Related Links

How can I use “includeJs” function of phantomjs with poltergeist?
Poltergeist ruby gem fails to process `:shift` modifier in `send_keys`
Using Poltergiest to give user of app a screenshot of their page
Poltergeist 1.9.0 w/Ruby 1.9.3
Post via Capybara and Poltergiest for API testing
Poltergeist current_url command is returning page_info hash instead of a URL
How does one test the content of confirm dialogs using poltergeist?
Using Poltergeist, Phantom JS instances are not exiting during every rspec run
Render page element with padding in Poltergeist
Can I monkey patch the phantomjs browser api with execute_script?
send_keys support for Poltergeist?

Categories

HOME
java
log4j
date
gitlab
zeromq
activiti
hp-exstream
session
xmpp
maven-3
gps
webpack-2
retrofit
cross-browser
podio
qore
ssl-client-authentication
mapserver
leiningen
progressive-web-apps
excel-vba-mac
google-cloud-speech
autocad-plugin
orleans
accessor
excel-2007
wijmo
react-css-modules
uninstall
opentype
saas
facebook-apps
vision
subdomains
unboundid
copying
avcapturesession
subset-sum
overlap
adobe-premiere
lto
twitch
ssjs
streamreader
dism
particles.js
spring-security-kerberos
keydown
angular-resource
hibernate-tools
upstart
domain-model
gabor-filter
nstextview
knockout-components
composite-key
ifs
linode
color-profile
dwscript
django-scheduler
blacklist
root-framework
sts-springsourcetoolsuite
plottable.js
storekit
gridview-sorting
angstrom-linux
ptrace
itextpdf
teamcity-8.0
icu4j
kcachegrind
muse
mmc
e10s
lustre
umbraco6
system.reflection
python-green
gwidgets
mdt
rdtsc
asp.net-web-api-odata
internet-connection
system.net.webexception
java.nio.file
imdbpy
dir
inbox
file-locking
jplaton
back-stack
dataadapter
seed
lcs
wsdl-2.0
specification-pattern
itmstransporter
bitsharp
getmessage
online-compilation
hamachi
appender
visitor-statistic
simpletest
project-hosting
mdac
grid-system
wsdl.exe

Resources

Encrypt Message